> For the complete documentation index, see [llms.txt](https://docs.racemap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.racemap.com/live-tracking/url-parameters.md).

# URL parameters

Use URL parameters to automatically compose various URLs of the same tracking map fitting different use cases.

* URL parameters overwrite the default settings of the tracking map.
* (\*) URL parameters are removed from the URL after the map is loaded, while the other parameters remain in the URL.
* Combine different parameters with `&` `flagContent=NAME&showAllFlags=true&mapStyle=DARK&flagContent=TWO_LETTER_NAMES`\
  [https://racemap.com/player/100KmDuathlon2018#flagContent=NAME<mark style="color:red;">&</mark>showAllFlags=true<mark style="color:red;">&</mark>mapStyle=DARK<mark style="color:red;">&</mark>flagContent=TWO\_LETTER\_NAMES](https://racemap.com/player/100KmDuathlon2018#flagContent=NAME\&showAllFlags=true\&mapStyle=DARK\&flagContent=TWO_LETTER_NAMES)

#### Custom color

Select a custom color as the premiere color of the tracking map as a hex code.\
parameter: `color=<your_color>`

* black: <https://racemap.com/player/100KmDuathlon2018#color=000000>
* green: <https://racemap.com/player/100KmDuathlon2018#color=66cd00>
* red: <https://racemap.com/player/100KmDuathlon2018#color=cc0000>

sample: <https://racemap.com/embed-samples#color>

#### Select participants, POIs, and tracks

The tracking map automatically centers around selected elements.

1\. parameter: `selected=<participantId>,<trackId>,<poiId>`

URL to follow the teams "Flaming Sideburns" and "Wolfsrudel Mädels" at 100km-Duathlon: <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d78779bc8e66ac6,632c5f976d78777a56e66d38>

sample: <https://racemap.com/embed-samples#select>

2\. parameter: `selectedStartNumber=<startNumber>`

URL to follow the teams "Flaming Sideburns" and "Wolfsrudel Mädels" with the bib number 001 and 053 at 100km-Duathlon: <https://racemap.com/player/100KmDuathlon2018#selectedStartNumber=001,053>

#### Set filters

Set the tracking map with filters. Use the `none` argument to hide participants with DNS, DSQ, and DNF status.

parameter: `filter=<tag-1>:<value-12>,<tag3:value-1>`

URL with filter tags age "20" and nationality "GER":\
<https://racemap.com/player/MuenchenMarathon21-marathon#filter=age:20,nationality:GER>

sample: <https://racemap.com/embed-samples#filter>

#### Time of event \*

The tracking map loads at a specific time of the event. The time is required in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.

parameter: `time=yyyy-mm-ddThh:mm:ssZ`

URL starts the replay at 9:45:35 UTC time, at Mai 5th 2018:\
[https://racemap.com/player/100KmDuathlon2018#time=2018-05-05T09:46:35Z](https://racemap.com/player/100KmDuathlon2018#time=2018-05-05T09:46:35Z\&selected=632c5f976d787758a9e66d40)

sample: <https://racemap.com/embed-samples#time>

#### Map style \*

* Satellite:\
  `mapStyle=SATELLITE`\
  <https://racemap.com/player/100KmDuathlon2018#mapStyle=SATELLITE>
* Terrain:\
  `mapStyle=TERRAIN`\
  <https://racemap.com/player/100KmDuathlon2018#mapStyle=TERRAIN>
* Hybrid:\
  `mapStyle=HYBRID`\
  <https://racemap.com/player/100KmDuathlon2018#mapStyle=HYBRID>
* Roadmap:\
  `mapStyle=ROADMAP`\
  <https://racemap.com/player/100KmDuathlon2018#mapStyle=ROADMAP>
* Dark:\
  `mapStyle=DARK`\
  <https://racemap.com/player/100KmDuathlon2018#mapStyle=DARK>

#### Show or hide navigation bar \*

* Open list:\
  `listOpen=true`\
  <https://racemap.com/player/100KmDuathlon2018#listOpen=true>
* Close list:\
  `listOpen=false`\
  <https://racemap.com/player/100KmDuathlon2018#listOpen=false>

#### Show flags or dots of all participants \*

* Show all flags:\
  `showAllFlags=true`\
  <https://racemap.com/player/100KmDuathlon2018#showAllFlags=true>
* Show all dots:\
  `showAllFlags=false`\
  <https://racemap.com/player/100KmDuathlon2018#showAllFlags=false>

#### Set flag content \*

The set flag content parameter applies only on the shown flags. It does not show all flags automatically.

* Race number:\
  `flagContent=STARTNUMBER`\
  <https://racemap.com/player/100KmDuathlon2018#flagContent=STARTNUMBER&showAllFlags=true>
* Name of participant:\
  `flagContent=NAME`\
  <https://racemap.com/player/100KmDuathlon2018#flagContent=NAME&showAllFlags=true>
* Race number and name of participant:\
  `flagContent=STARTNUMBER_AND_NAME`\
  <https://racemap.com/player/100KmDuathlon2018#flagContent=STARTNUMBER_AND_NAME&showAllFlags=true>
* Race number and the two first letters of the first and the last name eg. 012KoTr:\
  `flagContent=TWO_LETTER_NAMES`\
  <https://racemap.com/player/100KmDuathlon2018#flagContent=TWO_LETTER_NAMES&showAllFlags=true>
* Race number and the first letter of the first and the last name eg. 012KT:\
  `flagContent=ONE_LETTER_NAMES`\
  <https://racemap.com/player/100KmDuathlon2018#flagContent=ONE_LETTER_NAMES&showAllFlags=true>

#### Select flag content \*

The select flag content parameter applies only on the selected `<participantId>`. It does not show all flags automatically.

* Race number:\
  `selectedFlagContent=STARTNUMBER`\
  <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=STARTNUMBER>
* Name of participant:\
  `selectedFlagContent=NAME`\
  <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=NAME>
* Name of participant:\
  `selectedFlagContent=STARTNUMBER_AND_NAME`\
  <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=STARTNUMBER_AND_NAME>
* Race number and 1st letter of participant's name:\
  `selectedFlagContent=ONE_LETTER_NAMES`\
  <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=ONE_LETTER_NAMES>
* Race number and 1st & 2nd letter of participant's name:\
  `selectedFlagContent=TWO_LETTER_NAMES`\
  <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=TWO_LETTER_NAMES>

#### Hide non-selected participants \*

Hide all participants' dots or flags that are not selected:

`hideNonSelected=true` <https://racemap.com/player/100KmDuathlon2018#selected=632c5f966d787712f2e66ada&selectedFlagContent=TWO_LETTER_NAMES&hideNonSelected=true>

#### Increase marker size \*

Presenter mode: Show dots, flags, and POIs with large marker dimensions eg. when showing the tracking map on a LED screen or for the production of TV overlays.

`largeMode=true`\
<https://racemap.com/player/100KmDuathlon2018#largeMode=true>

#### Show or hide tabs section \*

Info tabs can be elevation chart, event info, race statistics, etc.

* Open info tabs:\
  `infoTabs.OpenByDefault=true`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.openByDefault=true>
* Close info tabs:\
  `infoTabs.OpenByDefault=false`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.openByDefault=false>

#### Set default tab \*

Set the default tab in the info section.

* Event info:\
  `infoTabs.defaultTab=INFO`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.defaultTab=INFO>
* Elevation chart:\
  `infoTabs.defaultTab=ELEVATION`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.defaultTab=ELEVATION>
* Leaderboard:\
  `infoTabs.defaultTab=TIMING`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.defaultTab=TIMING>
* Race statistics:\
  `infoTabs.defaultTab=STATS`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.defaultTab=STATS>
* Race flow:\
  `infoTabs.defaultTab=FLOW`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.defaultTab=FLOW>

#### Disable tabs \*

Disable specific info tabs in the info section, comma separated.

* `infoTabs.DisabledTabs=INFO,ELEVATION,TIMING,FLOW,STATS`\
  <https://racemap.com/player/100KmDuathlon2018#infoTabs.disabledTabs=INFO,ELEVATION,TIMING,FLOW,STATS>

#### Set zoom level \*

Set the default zoom level of the tracking map, according to the mapbox zoom scale (<https://docs.mapbox.com/help/glossary/zoom-level/>).

* `zoom=9`\
  <https://racemap.com/player/100KmDuathlon2018#zoom=9>

#### Set the map view \*

Set the exact map camera — longitude, latitude and zoom. This is what the tracking map's [share button](/live-tracking/share-view.md) produces.

Unlike `zoom`, the zoom value here is independent of the screen size, so the same link frames the same area on a phone and on a desktop.

While this parameter is set, the map does **not** automatically follow the selected participants, so the shared view is kept. Viewers can re-enable following with the pin button on the map.

* `viewport=<longitude>,<latitude>,<zoom>`\
  <https://racemap.com/player/100KmDuathlon2018#viewport=8.53,52.03,12.5>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.racemap.com/live-tracking/url-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
